/* Installation script for Compaq SSD Documentation Utility */
Call RxFuncAdd 'SysCls','RexxUtil','SysCls'
Call SysCls

'@ECHO OFF'
Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Call SysLoadFuncs
os2path = Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))

'@ECHO ON'
Call RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'
/* Create a Folder on the Desktop created  by Dinesh */
rc = SysCreateObject('WPFolder', 'Compaq Utilities','<WP_DESKTOP>','OBJECTID=<CPQ_FOLDER>;ICONFILE='os2path'\CPQUTILS\HTMLRDR\CPQUTIL.ICO','U')

if \rc Then Call FAILEDFOLDER
/* Create the Compaq SSD Documentation Folder inside the Compaq Utilities Folder */

/* Create an object in the Folder */
rc = SysCreateObject('WPProgram',,
                        'Compaq SSD Documentation',,
			 '<CPQ_FOLDER>',,
        'OBJECTID=<CPQ_RDR>;ICONFILE='os2path'\CPQUTILS\HTMLRDR\HTMLRDR.ICO',
	';EXENAME='os2path'\CPQUTILS\HTMLRDR\VIEWME.EXE;PARAMETERS='os2path'\CPQUTILS\HTMLRDR\VIEWME.HTM',,
		           'R')

If \rc Then Call FAILEDOBJ 
'CALL A:\HTMLRDR\CPQHTML.CMD'
Exit

FAILEDFOLDER :
echo 'Failed to create the folder'
Exit

FAILEDOBJ :
echo 'Failed to create the object'
Exit

